create
    table localizacao
(
    id        int8   not null generated by default as identity,
    latitude  float8 null,
    longitude float8 null,
    constraint localizacao_pkey primary key (id)
);

create
    table restaurante
(
    id             int8        not null generated by default as identity,
    nome           varchar(50) null,
    localizacao_id int8        not null,
    constraint restaurante_pkey primary key (id)
);

alter
    table restaurante
    add constraint res_loc foreign key (localizacao_id) references localizacao (id);

create
    table prato
(
    id             int8         not null generated by default as identity,
    descricao      varchar(255) null,
    nome           varchar(255) null,
    preco          numeric(19,
                       2)       null,
    restaurante_id int8         null,
    constraint prato_pkey primary key (id)
);

alter table prato
    add constraint fk43yo4ddilkvn6ebgfcx2vnqs7 foreign key (restaurante_id) references restaurante (id);

insert
into localizacao(id,
                 latitude,
                 longitude)
values (1000,
        - 15.817759,
        - 47.836959);

insert
into restaurante(id,
                 localizacao_id,
                 nome)
values (999,
        1000,
        'Manguai');

insert
into prato(id,
           nome,
           descricao,
           restaurante_id,
           preco)
values (9998,
        'Cuscuz com Ovo',
        'Bom demais no café da manhã',
        999,
        3.99);

insert
into prato(id,
           nome,
           descricao,
           restaurante_id,
           preco)
values (9997,
        'Peixe frito',
        'Agulhinha frita, excelente com Cerveja',
        999,
        99.99);